#!/bin/bash
# Projet SambaEdu - distribué selon la licence GPL
####Script contenant les fonctions communes des Scripts  ####
### Auteur : Franck Molle franck.molle@sambaedu.org
## Version 04-2020 ##

#Couleurs
COLTITRE="\033[1;35m"       # Rose
COLDEFAUT="\033[0;33m"      # Brun-jaune
COLCMD="\033[1;37m\c"       # Blanc
COLERREUR="\033[1;31m"      # Rouge
COLTXT="\033[0;37m"         # Gris
COLINFO="\033[0;36m"        # Cyan
COLPARTIE="\033[1;34m\c"    # Bleu


source /usr/share/sambaedu/includes/utils.inc.sh


# Test presence dialog
function check_dialog() {
    if [ -z "$(which dialog)" ];then
    apt-get install dialog -y
fi
}

# Erreur on quitte !
function erreur() {
    echo -e "$COLERREUR"
    echo "ERREUR!"
    echo -e "$1"
    echo -e "$COLTXT"
    exit 1
}

# Poursuivre ou corriger ?
function poursuivre_ou_corriger() {
    REPONSE=""
    while [ "$REPONSE" != "1" -a "$REPONSE" != "2" ]
    do
        if [ ! -z "$1" ]; then
            echo -e "$COLTXT"
            echo -e "Peut-on poursuivre (${COLCHOIX}1${COLTXT}) ou voulez-vous corriger (${COLCHOIX}2${COLTXT}) ? [${COLDEFAUT}${1}${COLTXT}] $COLSAISIE\c"
            read REPONSE

            if [ -z "$REPONSE" ]; then
                REPONSE="$1"
            fi
        else
            echo -e "$COLTXT"
            echo -e "Peut-on poursuivre (${COLCHOIX}1${COLTXT}) ou voulez-vous corriger (${COLCHOIX}2${COLTXT}) ? $COLSAISIE\c"
            read REPONSE
        fi
    done
}

# Poursuivre ou quitter en erreur
function poursuivre() {
    REPONSE=""
    while [ "$REPONSE" != "o" -a "$REPONSE" != "O" -a "$REPONSE" != "n" ]
    do
            echo -e "$COLTXT"
            echo -e "Peut-on poursuivre? (${COLCHOIX}O/n${COLTXT}) $COLSAISIE\c"
            read -t 30 REPONSE
            if [ -z "$REPONSE" ]; then
                    REPONSE="o"
            fi
    done

    if [ "$REPONSE" != "o" -a "$REPONSE" != "O" ]; then
            erreur "Abandon!"
    fi
}

# Demande de quitter
function quit_on_choice() {
    echo -e "$COLERREUR"
    echo "Arrêt du script !"
    echo -e "$1"
    echo -e "$COLTXT"
    exit 1
}


# Fonction de verification d'erreur
function check_error() {
    if [ "$?" != "0" ]; then
        echo -e "$COLERREUR"
        echo "Attention "
        echo -e "la dernière commande a envoyé une erreur !"
        echo -e "$1"
        echo -e "$COLTXT"
        poursuivre
    fi
}

function dialog_error_style {
    if [ -z "$4" ]; then
        large="13"
    else
        large="$4"
    fi

    NEWT_COLORS='
window=,red
border=white,red
textbox=white,red
button=black,white' dialog --backtitle "$1" --title "$2" --msgbox "$3" $large 70

}

# test de l'architecture'
function check_arch() {
    if [ "$(arch)" != "x86_64" ] ;then
        NEWT_COLORS='
window=,red
border=white,red
textbox=white,red
button=black,white' dialog --backtitle "$(arch) non pris en charge" --title "$se4fs_partman_title" --msgbox "Erreur : Seule l'Architecture AMD64 est supportée par SambaEdu 4" 13 70
        exit 1
    fi
}



